Obtaining routes

Prev Next
Post
/routes/retrieve_routes

First of all, it receives the filters to be applied in order to return a route and payment information to do the whitelist/blacklist process. It searches into the database by the requested filters and returns every route that matches with them linked with an account and the scheme. If filters don't match with any Route, it returns an empty list. If there is any error, it is also returned.

"currency", "accountFormat" and "accountNumber" have to be received in "routeParams" or in the Pacs.

Security
OAuth

OAuth Grant type, JWT Profile

FlowClient Credentials
Token URL$(host)/oauth/token
Scopes:
routes.createAccessing all routes by filters
Header parameters
x-client-id
string (uuid) Required

Identifies the client of the api

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Examplea1b30a84-7bf3-442e-84a0-e935d8163b5a
Body parameters

Post body

RoutePostBodyPacs

Route Post Payload Pacs

{
  "routeParams": {
    "owner": "pagonxt_es",
    "accountFormat": "BIC",
    "accountNumber": "NWBKGB2LXXX",
    "currency": "EUR",
    "chargeType": "OUR",
    "originBank": "BOFAGB20XXX",
    "originCountry": "ES",
    "destinationCountry": "US",
    "paymentAmount": "100",
    "volumePercentage": "10",
    "clearingScheme": "GB CHAPS",
    "serviceCode": "FPS,SC"
  },
  "config": {
    "sameCorrespondent": true,
    "searchIntermediary": true,
    "commonCorrespondent": true,
    "beneficiaryCorrespondent": "BOFAUS20",
    "ssiCorrespondentSteps": "2"
  },
  "flags": {
    "deliveryDate": true
  },
  "extraDetails": {
    "AppHdr": {
      "Fr": {
        "FIId": {
          "FinInstnId": {
            "BICFI": "PAGOES22XXX"
          }
        }
      },
      "To": {
        "FIId": {
          "FinInstnId": {
            "BICFI": "BOFAUS3NXXX"
          }
        }
      },
      "BizMsgIdr": "3621GBQ017447",
      "MsgDefIdr": "pacs.008.001.08",
      "BizSvc": "swift.cbprplus.02",
      "CreDt": "9999-12-31T00:00:00+00:00",
      "Rltd": [
        {
          "Fr": {
            "FIId": {
              "FinInstnId": {
                "BICFI": "WFBIUS6SDAL"
              }
            }
          },
          "To": {
            "FIId": {
              "FinInstnId": {
                "BICFI": "TEXSUS41XXX"
              }
            }
          },
          "BizMsgIdr": "C2D0506272708",
          "MsgDefIdr": "pacs.008.001.08",
          "BizSvc": "swift.cbprplus.02",
          "CreDt": "2020-01-11T12:50:41.960-05:00"
        }
      ]
    },
    "Document": {
      "FIToFICstmrCdtTrf": {
        "GrpHdr": {
          "MsgId": "test",
          "CreDtTm": "2023-01-01T01:01:01.100Z",
          "NbOfTxs": "10",
          "SttlmInf": {
            "SttlmMtd": "INDA"
          }
        },
        "CdtTrfTxInf": [
          {
            "Dbtr": {
              "Nm": "Joe Exotic"
            }
          }
        ]
      }
    }
  }
}
Expand All
object

Post body

routeParams
object Required

Route params

owner
string Required

Legal entity

Max length255
Pattern^[\w_]+$
Examplepagofx_be
accountFormat
string

Account format. The valid values are set in the National ID Format SWIFT file and in the ClrSysMmbId ClrSysId Cd ISO pacs.

Max length5
Pattern^[A-Z]*$
ExampleUSABA
accountNumber
string

Account number to be used in the validations.

Max length50
Pattern^[0-9A-Z]*$
Example12345678
currency
string

Currency ISO code

Max length3
Pattern^[A-Z]{3}$
ExampleEUR
chargeType
string

Payment charge type or expenses type.

Valid values[ "OUR", "BEN", "SHA", "SHAR", "SLEV", "CRED", "DEBT" ]
ExampleOUR
originBank
string

BIC list

Max length150
Pattern^([A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?)(,([A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?))*$
ExampleARABMAMCXXX,BSCHESMMXXX
destinationBank
string

BIC list

Max length150
Pattern^([A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?)(,([A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?))*$
ExampleARABMAMCXXX,BSCHESMMXXX
originCountry
string

list of countries separated by commas

Max length999
Pattern^([A-Z]{2})(,[A-Z]{2})*$
ExampleUK,ES
destinationCountry
string

list of countries separated by commas

Max length999
Pattern^([A-Z]{2})(,[A-Z]{2})*$
ExampleUK,ES
paymentAmount
number (double)

Payment amount.

Minimum-999999999.99
Maximum999999999.99
Example100
volumePercentage
integer (int32)

Volume Percentage.

Minimum1
Maximum100
Example50
clearingScheme
string

list of clearing schemes separated by commas

Max length999
Pattern^([A-Z0-9\s]+)(,[A-Z0-9\s]+)*$
ExampleAU BECS,US CHIPS
serviceCode
string

service codes separated by commas

Max length999
Pattern^([A-Z0-9]+)(,[A-Z0-9]+)*$
ExampleBSB,SC
codeWord
Array of string

Code word

Max items500
string

Individual Code word

Max length10
Pattern^[\w\s.-_]+$
ExampleRGT
customerId
string

Customer ID

Max length34
Pattern^[A-Za-z0-9,.:''"\s\-\/\{\}\$\^\[\]_\(\)+\*\|\\]*$
Exampletest
accountId
string (uuid)

UUID

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Exampled317d060-0d41-43ec-ba43-e47e8a25aa5b
config
object

Config

sameCorrespondent
boolean

Boolean to enable or disable the sameCorrespondent filter

ExampleTrue
searchIntermediary
boolean

Boolean to enable or disable the searchIntermediary filter

ExampleTrue
commonCorrespondent
boolean

Boolean to enable or disable the commonCorrespondent filter

ExampleTrue
beneficiaryCorrespondent
string

BIC

Max length11
Pattern^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?$
ExampleARABMAMCXXX
ssiCorrespondentSteps
string

Level deep to find the Beneficiary correspondents.

Max length2
Pattern^[0-9]{1,2}$
Example3
flags
object

Flags used to activate functionality

deliveryDate
boolean

It activates delivery date calculation

Defaulttrue
ExampleFalse
expandAll
boolean

If true it returns all routes, if false only returns the first one

Defaultfalse
ExampleTrue
extraDetails
object (ExtraDetails)

Any payment object type to be used in the whitelist/blacklist calculation

OneOf
PacsObject
object (PacsObject)
AppHdr
object (BusinessApplicationHeaderV03) Required

App Header ISO Pacs 008

CharSet
string

Codelist containing the names of the UNICODE code block name as specified on http://unicode.org/Public/UNIDATA/Blocks.txt.

Max length50
Pattern^[a-zA-Z\\_0-9 -.\/]*$
ExampleLatin-1
Fr
object (Party44Choice) Required

Identification of a person, an organisation or a financial institution.

OneOf
object
object
OrgId
object (PartyIdentification135) Required

Specifies the identification of a person or an organisation.

Nm
string

Name by which a party is known and which is usually used to identify that party.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
ExampleJoe Exotic
object
object
FIId
object (BranchAndFinancialInstitutionIdentification6) Required

Unique and unambiguous identification of a financial institution or a branch of a financial institution.

FinInstnId
object (FinancialInstitutionIdentification18) Required

Specifies the details to identify a financial institution.

BICFI
string

BIC identifier (2014 version)

Min length1
Max length34
Pattern^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$
ExamplePAGOGB20
ClrSysMmbId
object (ClearingSystemMemberIdentification2)

Unique identification, as assigned by a clearing system, to unambiguously identify a member of the clearing system.

ClrSysId
object (ClearingSystemIdentification2Choice)

Choice of a clearing system identifier.

OneOf
object
object
Cd
string Required

Specifies the clearing system identification code, as published in an external clearing system identification code list. External code sets can be downloaded from www.iso20022.org.

Min length1
Max length5
Pattern^[a-zA-Z\\_0-9 -/.]*$
ExampleABCDE
object
object
Prtry
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
MmbId
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
LEI
string

Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".

Max length20
Pattern^[A-Z0-9]{18,18}[0-9]{2,2}$
ExampleABCDEFGHIJKLMNOPRS12
Nm
string

Specifies a character string with a maximum length of 140 characters.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
Exampletest
PstlAdr
object (PostalAddress24)

Information that locates and identifies a specific address, as defined by postal services.

AdrTp
object (AddressType3Choice)

Choice of formats for the type of address.

OneOf
object
object
Cd
string Required

Specifies the type of address.

Valid values[ "ADDR", "PBOX", "HOME", "BIZZ", "MLTO", "DLVY" ]
object
object
Prtry
object (GenericIdentification30) Required

Information related to an identification, for example, party identification or account identification.

Id
string Required

Specifies an alphanumeric string with a length of 4 characters.

Min length4
Max length4
Pattern^[a-zA-Z0-9]{4}$
Exampletest
Issr
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SchmeNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Dept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SubDept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
StrtNm
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNb
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Flr
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstBx
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Room
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstCd
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnLctnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
DstrctNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
CtrySubDvsn
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Ctry
string

Code to identify a country, a dependency, or another area of particular geopolitical interest, on the basis of country names obtained from the United Nations (ISO 3166, Alpha-2 code).

Min length2
Max length2
Pattern^[A-Z]{2,2}$
ExampleES
AdrLine
Array of string (Max70Text)

Information that locates and identifies a specific address, as defined by postal services, presented in free format text.

Max items7
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Othr
object (GenericFinancialIdentification1)

Information related to an identification of a financial institution.

Id
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
To
object (Party44Choice) Required

Identification of a person, an organisation or a financial institution.

OneOf
object
object
OrgId
object (PartyIdentification135) Required

Specifies the identification of a person or an organisation.

Nm
string

Name by which a party is known and which is usually used to identify that party.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
ExampleJoe Exotic
object
object
FIId
object (BranchAndFinancialInstitutionIdentification6) Required

Unique and unambiguous identification of a financial institution or a branch of a financial institution.

FinInstnId
object (FinancialInstitutionIdentification18) Required

Specifies the details to identify a financial institution.

BICFI
string

BIC identifier (2014 version)

Min length1
Max length34
Pattern^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$
ExamplePAGOGB20
ClrSysMmbId
object (ClearingSystemMemberIdentification2)

Unique identification, as assigned by a clearing system, to unambiguously identify a member of the clearing system.

ClrSysId
object (ClearingSystemIdentification2Choice)

Choice of a clearing system identifier.

OneOf
object
object
Cd
string Required

Specifies the clearing system identification code, as published in an external clearing system identification code list. External code sets can be downloaded from www.iso20022.org.

Min length1
Max length5
Pattern^[a-zA-Z\\_0-9 -/.]*$
ExampleABCDE
object
object
Prtry
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
MmbId
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
LEI
string

Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".

Max length20
Pattern^[A-Z0-9]{18,18}[0-9]{2,2}$
ExampleABCDEFGHIJKLMNOPRS12
Nm
string

Specifies a character string with a maximum length of 140 characters.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
Exampletest
PstlAdr
object (PostalAddress24)

Information that locates and identifies a specific address, as defined by postal services.

AdrTp
object (AddressType3Choice)

Choice of formats for the type of address.

OneOf
object
object
Cd
string Required

Specifies the type of address.

Valid values[ "ADDR", "PBOX", "HOME", "BIZZ", "MLTO", "DLVY" ]
object
object
Prtry
object (GenericIdentification30) Required

Information related to an identification, for example, party identification or account identification.

Id
string Required

Specifies an alphanumeric string with a length of 4 characters.

Min length4
Max length4
Pattern^[a-zA-Z0-9]{4}$
Exampletest
Issr
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SchmeNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Dept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SubDept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
StrtNm
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNb
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Flr
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstBx
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Room
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstCd
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnLctnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
DstrctNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
CtrySubDvsn
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Ctry
string

Code to identify a country, a dependency, or another area of particular geopolitical interest, on the basis of country names obtained from the United Nations (ISO 3166, Alpha-2 code).

Min length2
Max length2
Pattern^[A-Z]{2,2}$
ExampleES
AdrLine
Array of string (Max70Text)

Information that locates and identifies a specific address, as defined by postal services, presented in free format text.

Max items7
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Othr
object (GenericFinancialIdentification1)

Information related to an identification of a financial institution.

Id
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BizMsgIdr
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
MsgDefIdr
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BizSvc
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
MktPrctc
object (ImplementationSpecification1)

Identifies the implementation specification to which the ISO 20022 message conforms.

Regy
string Required

Specifies a character string with a maximum length of 350 characters.

Min length1
Max length350
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
Exampletest
Id
string Required

Specifies a character string with a maximum length of 2048 characters.

Min length1
Max length2048
Pattern^[a-zA-Z\\_0-9 -.\/]*$
Exampletest
CreDt
string (date-time) Required

A particular point in the progression of time defined by a mandatory date and a mandatory time component, expressed in either UTC time format (YYYY-MM-DDThh:mm:ss.sssZ), local time with UTC offset format (YYYY-MM-DDThh:mm:ss.sss+/-hh:mm), or local time format (YYYY-MM-DDThh:mm:ss.sss). These representations are defined in "XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004" which is aligned with ISO 8601. Note on the time format

Max length35
Pattern^-?([1-9][0-9]{3,}|0[0-9]{3})-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T(([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9](\.[0-9]+)?|(24:00:00(\.0+)?))(Z|(\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))?$
Example2023-01-01T01:01:01.100Z
BizPrcgDt
string (date-time)

A particular point in the progression of time defined by a mandatory date and a mandatory time component, expressed in either UTC time format (YYYY-MM-DDThh:mm:ss.sssZ), local time with UTC offset format (YYYY-MM-DDThh:mm:ss.sss+/-hh:mm), or local time format (YYYY-MM-DDThh:mm:ss.sss). These representations are defined in "XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004" which is aligned with ISO 8601. Note on the time format

Max length35
Pattern^-?([1-9][0-9]{3,}|0[0-9]{3})-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T(([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9](\.[0-9]+)?|(24:00:00(\.0+)?))(Z|(\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))?$
Example2023-01-01T01:01:01.100Z
CpyDplct
string

Specifies if this document is a copy, a duplicate, or a duplicate of a copy.

Valid values[ "CODU", "COPY", "DUPL" ]
ExampleCODU
PssblDplct

Indicates a "Yes" or "No" type of answer for an element.

OneOf
boolean
boolean
ExampleTrue
integer (int32)
integer
Minimum0
Maximum1
Example1
Prty
string

Specifies the priority levels for the BusinessMessage. The different priorities are typically user / service / implementation dependent. The semantics of the different values for a Mesage (Set) need to be defined by the relevant user community (SEG.).

Valid values[ "HIGH", "NORM", "URGT" ]
ExampleNORM
Sgntr
object (SignatureEnvelope)

The W3C XML Schema that specifies following standard signature: XML Signature Syntax and Processing (Second Edition) W3C Recommendation 10 June 2008 http://www.w3.org/TR/2008/REC-xmldsig-core-20080610/.

Rltd
Array of object (BusinessApplicationHeader7)

Rltd App Header ISO Pacs 008 list

Max items10
object

Rltd App Header ISO Pacs 008

CharSet
string

Codelist containing the names of the UNICODE code block name as specified on http://unicode.org/Public/UNIDATA/Blocks.txt.

Max length50
Pattern^[a-zA-Z\\_0-9 -.\/]*$
ExampleLatin-1
Fr
object (Party44Choice) Required

Identification of a person, an organisation or a financial institution.

OneOf
object
object
OrgId
object (PartyIdentification135) Required

Specifies the identification of a person or an organisation.

Nm
string

Name by which a party is known and which is usually used to identify that party.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
ExampleJoe Exotic
object
object
FIId
object (BranchAndFinancialInstitutionIdentification6) Required

Unique and unambiguous identification of a financial institution or a branch of a financial institution.

FinInstnId
object (FinancialInstitutionIdentification18) Required

Specifies the details to identify a financial institution.

BICFI
string

BIC identifier (2014 version)

Min length1
Max length34
Pattern^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$
ExamplePAGOGB20
ClrSysMmbId
object (ClearingSystemMemberIdentification2)

Unique identification, as assigned by a clearing system, to unambiguously identify a member of the clearing system.

ClrSysId
object (ClearingSystemIdentification2Choice)

Choice of a clearing system identifier.

OneOf
object
object
Cd
string Required

Specifies the clearing system identification code, as published in an external clearing system identification code list. External code sets can be downloaded from www.iso20022.org.

Min length1
Max length5
Pattern^[a-zA-Z\\_0-9 -/.]*$
ExampleABCDE
object
object
Prtry
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
MmbId
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
LEI
string

Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".

Max length20
Pattern^[A-Z0-9]{18,18}[0-9]{2,2}$
ExampleABCDEFGHIJKLMNOPRS12
Nm
string

Specifies a character string with a maximum length of 140 characters.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
Exampletest
PstlAdr
object (PostalAddress24)

Information that locates and identifies a specific address, as defined by postal services.

AdrTp
object (AddressType3Choice)

Choice of formats for the type of address.

OneOf
object
object
Cd
string Required

Specifies the type of address.

Valid values[ "ADDR", "PBOX", "HOME", "BIZZ", "MLTO", "DLVY" ]
object
object
Prtry
object (GenericIdentification30) Required

Information related to an identification, for example, party identification or account identification.

Id
string Required

Specifies an alphanumeric string with a length of 4 characters.

Min length4
Max length4
Pattern^[a-zA-Z0-9]{4}$
Exampletest
Issr
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SchmeNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Dept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SubDept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
StrtNm
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNb
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Flr
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstBx
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Room
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstCd
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnLctnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
DstrctNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
CtrySubDvsn
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Ctry
string

Code to identify a country, a dependency, or another area of particular geopolitical interest, on the basis of country names obtained from the United Nations (ISO 3166, Alpha-2 code).

Min length2
Max length2
Pattern^[A-Z]{2,2}$
ExampleES
AdrLine
Array of string (Max70Text)

Information that locates and identifies a specific address, as defined by postal services, presented in free format text.

Max items7
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Othr
object (GenericFinancialIdentification1)

Information related to an identification of a financial institution.

Id
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
To
object (Party44Choice) Required

Identification of a person, an organisation or a financial institution.

OneOf
object
object
OrgId
object (PartyIdentification135) Required

Specifies the identification of a person or an organisation.

Nm
string

Name by which a party is known and which is usually used to identify that party.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
ExampleJoe Exotic
object
object
FIId
object (BranchAndFinancialInstitutionIdentification6) Required

Unique and unambiguous identification of a financial institution or a branch of a financial institution.

FinInstnId
object (FinancialInstitutionIdentification18) Required

Specifies the details to identify a financial institution.

BICFI
string

BIC identifier (2014 version)

Min length1
Max length34
Pattern^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$
ExamplePAGOGB20
ClrSysMmbId
object (ClearingSystemMemberIdentification2)

Unique identification, as assigned by a clearing system, to unambiguously identify a member of the clearing system.

ClrSysId
object (ClearingSystemIdentification2Choice)

Choice of a clearing system identifier.

OneOf
object
object
Cd
string Required

Specifies the clearing system identification code, as published in an external clearing system identification code list. External code sets can be downloaded from www.iso20022.org.

Min length1
Max length5
Pattern^[a-zA-Z\\_0-9 -/.]*$
ExampleABCDE
object
object
Prtry
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
MmbId
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
LEI
string

Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".

Max length20
Pattern^[A-Z0-9]{18,18}[0-9]{2,2}$
ExampleABCDEFGHIJKLMNOPRS12
Nm
string

Specifies a character string with a maximum length of 140 characters.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
Exampletest
PstlAdr
object (PostalAddress24)

Information that locates and identifies a specific address, as defined by postal services.

AdrTp
object (AddressType3Choice)

Choice of formats for the type of address.

OneOf
object
object
Cd
string Required

Specifies the type of address.

Valid values[ "ADDR", "PBOX", "HOME", "BIZZ", "MLTO", "DLVY" ]
object
object
Prtry
object (GenericIdentification30) Required

Information related to an identification, for example, party identification or account identification.

Id
string Required

Specifies an alphanumeric string with a length of 4 characters.

Min length4
Max length4
Pattern^[a-zA-Z0-9]{4}$
Exampletest
Issr
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SchmeNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Dept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SubDept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
StrtNm
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNb
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Flr
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstBx
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Room
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstCd
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnLctnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
DstrctNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
CtrySubDvsn
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Ctry
string

Code to identify a country, a dependency, or another area of particular geopolitical interest, on the basis of country names obtained from the United Nations (ISO 3166, Alpha-2 code).

Min length2
Max length2
Pattern^[A-Z]{2,2}$
ExampleES
AdrLine
Array of string (Max70Text)

Information that locates and identifies a specific address, as defined by postal services, presented in free format text.

Max items7
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Othr
object (GenericFinancialIdentification1)

Information related to an identification of a financial institution.

Id
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BizMsgIdr
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
MsgDefIdr
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BizSvc
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
MktPrctc
object (ImplementationSpecification1)

Identifies the implementation specification to which the ISO 20022 message conforms.

Regy
string Required

Specifies a character string with a maximum length of 350 characters.

Min length1
Max length350
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
Exampletest
Id
string Required

Specifies a character string with a maximum length of 2048 characters.

Min length1
Max length2048
Pattern^[a-zA-Z\\_0-9 -.\/]*$
Exampletest
CreDt
string (date-time) Required

A particular point in the progression of time defined by a mandatory date and a mandatory time component, expressed in either UTC time format (YYYY-MM-DDThh:mm:ss.sssZ), local time with UTC offset format (YYYY-MM-DDThh:mm:ss.sss+/-hh:mm), or local time format (YYYY-MM-DDThh:mm:ss.sss). These representations are defined in "XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004" which is aligned with ISO 8601. Note on the time format

Max length35
Pattern^-?([1-9][0-9]{3,}|0[0-9]{3})-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T(([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9](\.[0-9]+)?|(24:00:00(\.0+)?))(Z|(\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))?$
Example2023-01-01T01:01:01.100Z
BizPrcgDt
string (date-time)

A particular point in the progression of time defined by a mandatory date and a mandatory time component, expressed in either UTC time format (YYYY-MM-DDThh:mm:ss.sssZ), local time with UTC offset format (YYYY-MM-DDThh:mm:ss.sss+/-hh:mm), or local time format (YYYY-MM-DDThh:mm:ss.sss). These representations are defined in "XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004" which is aligned with ISO 8601. Note on the time format

Max length35
Pattern^-?([1-9][0-9]{3,}|0[0-9]{3})-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T(([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9](\.[0-9]+)?|(24:00:00(\.0+)?))(Z|(\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))?$
Example2023-01-01T01:01:01.100Z
CpyDplct
string

Specifies if this document is a copy, a duplicate, or a duplicate of a copy.

Valid values[ "CODU", "COPY", "DUPL" ]
ExampleCODU
PssblDplct

Indicates a "Yes" or "No" type of answer for an element.

OneOf
boolean
boolean
ExampleTrue
integer (int32)
integer
Minimum0
Maximum1
Example1
Prty
string

Specifies the priority levels for the BusinessMessage. The different priorities are typically user / service / implementation dependent. The semantics of the different values for a Mesage (Set) need to be defined by the relevant user community (SEG.).

Valid values[ "HIGH", "NORM", "URGT" ]
ExampleNORM
Sgntr
object (SignatureEnvelope)

The W3C XML Schema that specifies following standard signature: XML Signature Syntax and Processing (Second Edition) W3C Recommendation 10 June 2008 http://www.w3.org/TR/2008/REC-xmldsig-core-20080610/.

Document

The document to extract the info from.

OneOf
Pacs004Document
object (Pacs004Document)
PmtRtr
object (PaymentReturnV09) Required

Scope The PaymentReturn message is sent by an agent to the previous agent in the payment chain to undo a payment previously settled. Usage The PaymentReturn message is exchanged between agents to return funds after settlement of credit transfer instructions (that is FIToFICustomerCreditTransfer message and FinancialInstitutionCreditTransfer message) or direct debit instructions (FIToFICustomerDirectDebit message). The PaymentReturn message should not be used between agents and non-financial institution customers. Non-financial institution customers will be informed about a debit or a credit on their account(s) through a BankToCustomerDebitCreditNotification message ('notification') and/or BankToCustomerAccountReport/BankToCustomerStatement message ('statement'). The PaymentReturn message can be used to return single instructions or multiple instructions from one or different files. The PaymentReturn message can be used in domestic and cross-border scenarios. The PaymentReturn message refers to the original instruction(s) by means of references only or by means of references and a set of elements from the original instruction.

GrpHdr
object (GroupHeader90) Required

Set of characteristics shared by all individual transactions included in the message.

MsgId
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
CreDtTm
string (date-time) Required

A particular point in the progression of time defined by a mandatory date and a mandatory time component, expressed in either UTC time format (YYYY-MM-DDThh:mm:ss.sssZ), local time with UTC offset format (YYYY-MM-DDThh:mm:ss.sss+/-hh:mm), or local time format (YYYY-MM-DDThh:mm:ss.sss). These representations are defined in "XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004" which is aligned with ISO 8601. Note on the time format

Max length35
Pattern^-?([1-9][0-9]{3,}|0[0-9]{3})-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T(([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9](\.[0-9]+)?|(24:00:00(\.0+)?))(Z|(\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))?$
Example2023-01-01T01:01:01.100Z
NbOfTxs
string Required

Specifies a numeric string with a maximum length of 15 digits.

Min length1
Max length15
Pattern^[0-9]{1,15}$
Example10
SttlmInf
object (SettlementInstruction7) Required

Provides further details on the settlement of the instruction.

SttlmMtd
string Required

Specifies the method used to settle the credit transfer instruction.

Valid values[ "INDA", "INGA", "COVE", "CLRG" ]
ExampleINDA
Pacs008Document
object (Pacs008Document)
FIToFICstmrCdtTrf
object (FIToFICustomerCreditTransferV08) Required

Scope The FinancialInstitutionToFinancialInstitutionCustomerCreditTransfer message is sent by the debtor agent to the creditor agent, directly or through other agents and/or a payment clearing and settlement system. It is used to move funds from a debtor account to a creditor. Usage The FIToFICustomerCreditTransfer message is exchanged between agents and can contain one or more customer credit transfer instructions. The FIToFICustomerCreditTransfer message does not allow for grouping: a CreditTransferTransactionInformation block must be present for each credit transfer transaction.

CdtTrfTxInf
Array of object (CreditTransferTransaction39) Required

Set of elements providing information specific to the individual credit transfer(s)

Max items100
object

Set of elements providing information specific to the individual credit transfer(s).

Dbtr
object (PartyIdentification135) Required

Specifies the identification of a person or an organisation.

Nm
string

Name by which a party is known and which is usually used to identify that party.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
ExampleJoe Exotic
Pacs009Document
object (Pacs009Document)
FICdtTrf
object (FinancialInstitutionCreditTransferV08) Required

FinancialInstitutionCreditTransferV08

GrpHdr
object (GroupHeader93) Required

Set of characteristics shared by all individual transactions included in the message.

MsgId
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
CreDtTm
string (date-time)

A particular point in the progression of time defined by a mandatory date and a mandatory time component, expressed in either UTC time format (YYYY-MM-DDThh:mm:ss.sssZ), local time with UTC offset format (YYYY-MM-DDThh:mm:ss.sss+/-hh:mm), or local time format (YYYY-MM-DDThh:mm:ss.sss). These representations are defined in "XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004" which is aligned with ISO 8601. Note on the time format

Max length35
Pattern^-?([1-9][0-9]{3,}|0[0-9]{3})-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T(([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9](\.[0-9]+)?|(24:00:00(\.0+)?))(Z|(\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))?$
Example2023-01-01T01:01:01.100Z
NbOfTxs
string

Specifies a numeric string with a maximum length of 15 digits.

Min length1
Max length15
Pattern^[0-9]{1,15}$
Example10
SttlmInf
object (SettlementInstruction7)

Provides further details on the settlement of the instruction.

SttlmMtd
string Required

Specifies the method used to settle the credit transfer instruction.

Valid values[ "INDA", "INGA", "COVE", "CLRG" ]
ExampleINDA
CdtTrfTxInf
Array of object (CreditTransferTransaction36) Required

Set of elements providing information specific to the individual credit transfer(s)

Max items100
object

Set of elements providing information specific to the individual credit transfer(s).

PmtId
object (PartyIdentification7) Required

PartyIdentification7

EndToEndId
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Dbtr
object (BranchAndFinancialInstitutionIdentification6) Required

Unique and unambiguous identification of a financial institution or a branch of a financial institution.

FinInstnId
object (FinancialInstitutionIdentification18) Required

Specifies the details to identify a financial institution.

BICFI
string

BIC identifier (2014 version)

Min length1
Max length34
Pattern^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$
ExamplePAGOGB20
ClrSysMmbId
object (ClearingSystemMemberIdentification2)

Unique identification, as assigned by a clearing system, to unambiguously identify a member of the clearing system.

ClrSysId
object (ClearingSystemIdentification2Choice)

Choice of a clearing system identifier.

OneOf
object
object
Cd
string Required

Specifies the clearing system identification code, as published in an external clearing system identification code list. External code sets can be downloaded from www.iso20022.org.

Min length1
Max length5
Pattern^[a-zA-Z\\_0-9 -/.]*$
ExampleABCDE
object
object
Prtry
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
MmbId
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
LEI
string

Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".

Max length20
Pattern^[A-Z0-9]{18,18}[0-9]{2,2}$
ExampleABCDEFGHIJKLMNOPRS12
Nm
string

Specifies a character string with a maximum length of 140 characters.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
Exampletest
PstlAdr
object (PostalAddress24)

Information that locates and identifies a specific address, as defined by postal services.

AdrTp
object (AddressType3Choice)

Choice of formats for the type of address.

OneOf
object
object
Cd
string Required

Specifies the type of address.

Valid values[ "ADDR", "PBOX", "HOME", "BIZZ", "MLTO", "DLVY" ]
object
object
Prtry
object (GenericIdentification30) Required

Information related to an identification, for example, party identification or account identification.

Id
string Required

Specifies an alphanumeric string with a length of 4 characters.

Min length4
Max length4
Pattern^[a-zA-Z0-9]{4}$
Exampletest
Issr
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SchmeNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Dept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SubDept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
StrtNm
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNb
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Flr
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstBx
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Room
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstCd
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnLctnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
DstrctNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
CtrySubDvsn
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Ctry
string

Code to identify a country, a dependency, or another area of particular geopolitical interest, on the basis of country names obtained from the United Nations (ISO 3166, Alpha-2 code).

Min length2
Max length2
Pattern^[A-Z]{2,2}$
ExampleES
AdrLine
Array of string (Max70Text)

Information that locates and identifies a specific address, as defined by postal services, presented in free format text.

Max items7
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Othr
object (GenericFinancialIdentification1)

Information related to an identification of a financial institution.

Id
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Cdtr
object (BranchAndFinancialInstitutionIdentification6) Required

Unique and unambiguous identification of a financial institution or a branch of a financial institution.

FinInstnId
object (FinancialInstitutionIdentification18) Required

Specifies the details to identify a financial institution.

BICFI
string

BIC identifier (2014 version)

Min length1
Max length34
Pattern^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$
ExamplePAGOGB20
ClrSysMmbId
object (ClearingSystemMemberIdentification2)

Unique identification, as assigned by a clearing system, to unambiguously identify a member of the clearing system.

ClrSysId
object (ClearingSystemIdentification2Choice)

Choice of a clearing system identifier.

OneOf
object
object
Cd
string Required

Specifies the clearing system identification code, as published in an external clearing system identification code list. External code sets can be downloaded from www.iso20022.org.

Min length1
Max length5
Pattern^[a-zA-Z\\_0-9 -/.]*$
ExampleABCDE
object
object
Prtry
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
MmbId
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
LEI
string

Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".

Max length20
Pattern^[A-Z0-9]{18,18}[0-9]{2,2}$
ExampleABCDEFGHIJKLMNOPRS12
Nm
string

Specifies a character string with a maximum length of 140 characters.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
Exampletest
PstlAdr
object (PostalAddress24)

Information that locates and identifies a specific address, as defined by postal services.

AdrTp
object (AddressType3Choice)

Choice of formats for the type of address.

OneOf
object
object
Cd
string Required

Specifies the type of address.

Valid values[ "ADDR", "PBOX", "HOME", "BIZZ", "MLTO", "DLVY" ]
object
object
Prtry
object (GenericIdentification30) Required

Information related to an identification, for example, party identification or account identification.

Id
string Required

Specifies an alphanumeric string with a length of 4 characters.

Min length4
Max length4
Pattern^[a-zA-Z0-9]{4}$
Exampletest
Issr
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SchmeNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Dept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SubDept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
StrtNm
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNb
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Flr
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstBx
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Room
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstCd
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnLctnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
DstrctNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
CtrySubDvsn
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Ctry
string

Code to identify a country, a dependency, or another area of particular geopolitical interest, on the basis of country names obtained from the United Nations (ISO 3166, Alpha-2 code).

Min length2
Max length2
Pattern^[A-Z]{2,2}$
ExampleES
AdrLine
Array of string (Max70Text)

Information that locates and identifies a specific address, as defined by postal services, presented in free format text.

Max items7
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Othr
object (GenericFinancialIdentification1)

Information related to an identification of a financial institution.

Id
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Pacs004Object
object (Pacs004Object)
pacs004
object (Pacs004Document) Required

PACS004 Document

PmtRtr
object (PaymentReturnV09) Required

Scope The PaymentReturn message is sent by an agent to the previous agent in the payment chain to undo a payment previously settled. Usage The PaymentReturn message is exchanged between agents to return funds after settlement of credit transfer instructions (that is FIToFICustomerCreditTransfer message and FinancialInstitutionCreditTransfer message) or direct debit instructions (FIToFICustomerDirectDebit message). The PaymentReturn message should not be used between agents and non-financial institution customers. Non-financial institution customers will be informed about a debit or a credit on their account(s) through a BankToCustomerDebitCreditNotification message ('notification') and/or BankToCustomerAccountReport/BankToCustomerStatement message ('statement'). The PaymentReturn message can be used to return single instructions or multiple instructions from one or different files. The PaymentReturn message can be used in domestic and cross-border scenarios. The PaymentReturn message refers to the original instruction(s) by means of references only or by means of references and a set of elements from the original instruction.

GrpHdr
object (GroupHeader90) Required

Set of characteristics shared by all individual transactions included in the message.

MsgId
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
CreDtTm
string (date-time) Required

A particular point in the progression of time defined by a mandatory date and a mandatory time component, expressed in either UTC time format (YYYY-MM-DDThh:mm:ss.sssZ), local time with UTC offset format (YYYY-MM-DDThh:mm:ss.sss+/-hh:mm), or local time format (YYYY-MM-DDThh:mm:ss.sss). These representations are defined in "XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004" which is aligned with ISO 8601. Note on the time format

Max length35
Pattern^-?([1-9][0-9]{3,}|0[0-9]{3})-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T(([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9](\.[0-9]+)?|(24:00:00(\.0+)?))(Z|(\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))?$
Example2023-01-01T01:01:01.100Z
NbOfTxs
string Required

Specifies a numeric string with a maximum length of 15 digits.

Min length1
Max length15
Pattern^[0-9]{1,15}$
Example10
SttlmInf
object (SettlementInstruction7) Required

Provides further details on the settlement of the instruction.

SttlmMtd
string Required

Specifies the method used to settle the credit transfer instruction.

Valid values[ "INDA", "INGA", "COVE", "CLRG" ]
ExampleINDA
Pacs008Object
object (Pacs008Object)
pacs008
object (Pacs008Document) Required

PACS 008 in JSON format

FIToFICstmrCdtTrf
object (FIToFICustomerCreditTransferV08) Required

Scope The FinancialInstitutionToFinancialInstitutionCustomerCreditTransfer message is sent by the debtor agent to the creditor agent, directly or through other agents and/or a payment clearing and settlement system. It is used to move funds from a debtor account to a creditor. Usage The FIToFICustomerCreditTransfer message is exchanged between agents and can contain one or more customer credit transfer instructions. The FIToFICustomerCreditTransfer message does not allow for grouping: a CreditTransferTransactionInformation block must be present for each credit transfer transaction.

CdtTrfTxInf
Array of object (CreditTransferTransaction39) Required

Set of elements providing information specific to the individual credit transfer(s)

Max items100
object

Set of elements providing information specific to the individual credit transfer(s).

Dbtr
object (PartyIdentification135) Required

Specifies the identification of a person or an organisation.

Nm
string

Name by which a party is known and which is usually used to identify that party.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
ExampleJoe Exotic
Pacs009Object
object (Pacs009Object)
pacs009
object (Pacs009Document) Required

PACS009 Document

FICdtTrf
object (FinancialInstitutionCreditTransferV08) Required

FinancialInstitutionCreditTransferV08

GrpHdr
object (GroupHeader93) Required

Set of characteristics shared by all individual transactions included in the message.

MsgId
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
CreDtTm
string (date-time)

A particular point in the progression of time defined by a mandatory date and a mandatory time component, expressed in either UTC time format (YYYY-MM-DDThh:mm:ss.sssZ), local time with UTC offset format (YYYY-MM-DDThh:mm:ss.sss+/-hh:mm), or local time format (YYYY-MM-DDThh:mm:ss.sss). These representations are defined in "XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004" which is aligned with ISO 8601. Note on the time format

Max length35
Pattern^-?([1-9][0-9]{3,}|0[0-9]{3})-(0[1-9]|1[0-2])-(0[1-9]|[12][0-9]|3[01])T(([01][0-9]|2[0-3]):[0-5][0-9]:[0-5][0-9](\.[0-9]+)?|(24:00:00(\.0+)?))(Z|(\+|-)((0[0-9]|1[0-3]):[0-5][0-9]|14:00))?$
Example2023-01-01T01:01:01.100Z
NbOfTxs
string

Specifies a numeric string with a maximum length of 15 digits.

Min length1
Max length15
Pattern^[0-9]{1,15}$
Example10
SttlmInf
object (SettlementInstruction7)

Provides further details on the settlement of the instruction.

SttlmMtd
string Required

Specifies the method used to settle the credit transfer instruction.

Valid values[ "INDA", "INGA", "COVE", "CLRG" ]
ExampleINDA
CdtTrfTxInf
Array of object (CreditTransferTransaction36) Required

Set of elements providing information specific to the individual credit transfer(s)

Max items100
object

Set of elements providing information specific to the individual credit transfer(s).

PmtId
object (PartyIdentification7) Required

PartyIdentification7

EndToEndId
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Dbtr
object (BranchAndFinancialInstitutionIdentification6) Required

Unique and unambiguous identification of a financial institution or a branch of a financial institution.

FinInstnId
object (FinancialInstitutionIdentification18) Required

Specifies the details to identify a financial institution.

BICFI
string

BIC identifier (2014 version)

Min length1
Max length34
Pattern^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$
ExamplePAGOGB20
ClrSysMmbId
object (ClearingSystemMemberIdentification2)

Unique identification, as assigned by a clearing system, to unambiguously identify a member of the clearing system.

ClrSysId
object (ClearingSystemIdentification2Choice)

Choice of a clearing system identifier.

OneOf
object
object
Cd
string Required

Specifies the clearing system identification code, as published in an external clearing system identification code list. External code sets can be downloaded from www.iso20022.org.

Min length1
Max length5
Pattern^[a-zA-Z\\_0-9 -/.]*$
ExampleABCDE
object
object
Prtry
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
MmbId
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
LEI
string

Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".

Max length20
Pattern^[A-Z0-9]{18,18}[0-9]{2,2}$
ExampleABCDEFGHIJKLMNOPRS12
Nm
string

Specifies a character string with a maximum length of 140 characters.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
Exampletest
PstlAdr
object (PostalAddress24)

Information that locates and identifies a specific address, as defined by postal services.

AdrTp
object (AddressType3Choice)

Choice of formats for the type of address.

OneOf
object
object
Cd
string Required

Specifies the type of address.

Valid values[ "ADDR", "PBOX", "HOME", "BIZZ", "MLTO", "DLVY" ]
object
object
Prtry
object (GenericIdentification30) Required

Information related to an identification, for example, party identification or account identification.

Id
string Required

Specifies an alphanumeric string with a length of 4 characters.

Min length4
Max length4
Pattern^[a-zA-Z0-9]{4}$
Exampletest
Issr
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SchmeNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Dept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SubDept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
StrtNm
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNb
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Flr
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstBx
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Room
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstCd
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnLctnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
DstrctNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
CtrySubDvsn
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Ctry
string

Code to identify a country, a dependency, or another area of particular geopolitical interest, on the basis of country names obtained from the United Nations (ISO 3166, Alpha-2 code).

Min length2
Max length2
Pattern^[A-Z]{2,2}$
ExampleES
AdrLine
Array of string (Max70Text)

Information that locates and identifies a specific address, as defined by postal services, presented in free format text.

Max items7
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Othr
object (GenericFinancialIdentification1)

Information related to an identification of a financial institution.

Id
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Cdtr
object (BranchAndFinancialInstitutionIdentification6) Required

Unique and unambiguous identification of a financial institution or a branch of a financial institution.

FinInstnId
object (FinancialInstitutionIdentification18) Required

Specifies the details to identify a financial institution.

BICFI
string

BIC identifier (2014 version)

Min length1
Max length34
Pattern^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$
ExamplePAGOGB20
ClrSysMmbId
object (ClearingSystemMemberIdentification2)

Unique identification, as assigned by a clearing system, to unambiguously identify a member of the clearing system.

ClrSysId
object (ClearingSystemIdentification2Choice)

Choice of a clearing system identifier.

OneOf
object
object
Cd
string Required

Specifies the clearing system identification code, as published in an external clearing system identification code list. External code sets can be downloaded from www.iso20022.org.

Min length1
Max length5
Pattern^[a-zA-Z\\_0-9 -/.]*$
ExampleABCDE
object
object
Prtry
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
MmbId
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
LEI
string

Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".

Max length20
Pattern^[A-Z0-9]{18,18}[0-9]{2,2}$
ExampleABCDEFGHIJKLMNOPRS12
Nm
string

Specifies a character string with a maximum length of 140 characters.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
Exampletest
PstlAdr
object (PostalAddress24)

Information that locates and identifies a specific address, as defined by postal services.

AdrTp
object (AddressType3Choice)

Choice of formats for the type of address.

OneOf
object
object
Cd
string Required

Specifies the type of address.

Valid values[ "ADDR", "PBOX", "HOME", "BIZZ", "MLTO", "DLVY" ]
object
object
Prtry
object (GenericIdentification30) Required

Information related to an identification, for example, party identification or account identification.

Id
string Required

Specifies an alphanumeric string with a length of 4 characters.

Min length4
Max length4
Pattern^[a-zA-Z0-9]{4}$
Exampletest
Issr
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SchmeNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Dept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SubDept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
StrtNm
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNb
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Flr
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstBx
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Room
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstCd
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnLctnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
DstrctNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
CtrySubDvsn
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Ctry
string

Code to identify a country, a dependency, or another area of particular geopolitical interest, on the basis of country names obtained from the United Nations (ISO 3166, Alpha-2 code).

Min length2
Max length2
Pattern^[A-Z]{2,2}$
ExampleES
AdrLine
Array of string (Max70Text)

Information that locates and identifies a specific address, as defined by postal services, presented in free format text.

Max items7
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Othr
object (GenericFinancialIdentification1)

Information related to an identification of a financial institution.

Id
string Required

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Responses
200

Requested filters are OK. It returns a Route array if any Route is found, otherwise, it returns an empty array.

Found Correspondent Routes

OK: Correspondent Routes Found

{
  "data": {
    "requestId": "54100696-ea20-4cfb-af45-7a7ea5bba5fd",
    "scenario": "correspondent",
    "routedAgent": {
      "FinInstnId": {
        "BICFI": "BSCHESMMXXX"
      },
      "rma": {
        "status": true,
        "rmaPlus": {
          "mtMessages": [
            "103",
            "202"
          ],
          "mxMessages": [
            "pacs.008",
            "pacs.009"
          ]
        }
      },
      "source": "IBAN"
    },
    "requestOrigin": {
      "BICFI": "PAGOGB20",
      "shortCode": "pagofx_uk"
    },
    "routingParameters": {
      "requestOriginConfiguration": {
        "searchIntermediary": true,
        "commonCorrespondent": true,
        "ssiCorrespondentSteps": "2"
      },
      "paymentInputs": {
        "currency": "EUR",
        "chargeType": "BEN",
        "originBank": "BSCHKYK0XXX",
        "urgency": "URGT"
      },
      "volumeDistributionSeed": "33"
    },
    "routes": [
      {
        "priority": "1",
        "appliedParameters": {
          "currency": "EUR",
          "ssiCorrespondentSteps": "2"
        },
        "counterparty": {
          "name": "santander_es",
          "bic": "BSCHESM0XXX",
          "cutOff": {
            "time": "10:00:00",
            "timeZone": "Europe/London"
          },
          "scheme": {
            "schemeId": "EMU TGT2",
            "currencies": [
              "EUR"
            ],
            "participationType": "direct",
            "settlingParticipant": {
              "FinInstnId": {
                "Nm": "Santander Espana",
                "BICFI": "BSCHESM0"
              }
            }
          },
          "settlementMethod": "INGA",
          "account": {
            "type": "IBAN",
            "number": "ES9121000418450200051332"
          },
          "withinCutoff": true,
          "ssiRoute": false
        },
        "schemeInformation": {
          "operatingDays": "[1,5]",
          "operatingHours": "[09:03:00,12:04:00]",
          "isCurrentlyOpen": true,
          "needsFX": false,
          "overrideSender": "PAGOESMMXXX",
          "overrideReceiver": "BSCHESDE"
        },
        "channels": [
          {
            "channel": "SWIFT",
            "format": "MT103",
            "paymentTypes": [
              "customer treasury",
              "internal treasury"
            ],
            "priority": "1"
          }
        ]
      }
    ]
  }
}
Found SSI Correspondent Chain Routes

OK: SSI Correspondent Routes Found with correspondent chain

{
  "data": {
    "requestId": "54100696-ea20-4cfb-af45-7a7ea5bba5fd",
    "scenario": "correspondent",
    "routedAgent": {
      "FinInstnId": {
        "BICFI": "RZBAATWWXXX"
      },
      "rma": {
        "status": true,
        "rmaPlus": {
          "mtMessages": [
            "103",
            "202"
          ],
          "mxMessages": [
            "pacs.008",
            "pacs.009"
          ]
        }
      },
      "source": "IBAN"
    },
    "requestOrigin": {
      "BICFI": "PAGOGB20",
      "shortCode": "pagofx_uk"
    },
    "routingParameters": {
      "requestOriginConfiguration": {
        "ssiCorrespondentSteps": "3"
      },
      "paymentInputs": {
        "currency": "EUR",
        "urgency": "URGT"
      },
      "volumeDistributionSeed": "33"
    },
    "routes": [
      {
        "priority": "1",
        "appliedParameters": {
          "currency": "EUR",
          "ssiCorrespondentSteps": "3"
        },
        "counterparty": {
          "name": "bofa_uk",
          "bic": "BOFAGB20XXX",
          "cutOff": {
            "time": "16:30:00",
            "timeZone": "Europe/London"
          },
          "scheme": {
            "schemeId": "EMU TGT2",
            "currencies": [
              "EUR"
            ],
            "participationType": "direct",
            "settlingParticipant": {
              "FinInstnId": {
                "Nm": "Santander Espana",
                "BICFI": "BSCHESM0"
              }
            }
          },
          "settlementMethod": "INGA",
          "account": {
            "type": "IBAN",
            "number": "ES9121000418450200051332"
          },
          "withinCutoff": true,
          "ssiRoute": true
        },
        "routedAgentCounterparty": {
          "BICFI": "RZBAATWWXXX",
          "rma": {
            "exchanged": true,
            "rmaPlus": {
              "mtMessages": [
                "103",
                "202"
              ],
              "mxMessages": [
                "pacs.008",
                "pacs.009"
              ]
            }
          }
        },
        "routedChainAgents": [
          {
            "BICFI": "RZBAATWWXXX",
            "rma": {
              "exchanged": true,
              "rmaPlus": {
                "mtMessages": [
                  "103",
                  "202"
                ],
                "mxMessages": [
                  "pacs.008",
                  "pacs.009"
                ]
              }
            }
          },
          {
            "BICFI": "NBADAEAAXXX",
            "rma": {
              "exchanged": true,
              "rmaPlus": {
                "mtMessages": [
                  "103",
                  "202"
                ],
                "mxMessages": [
                  "pacs.008",
                  "pacs.009"
                ]
              }
            }
          },
          {
            "BICFI": "CBAUAEAAXXX",
            "rma": {
              "exchanged": true,
              "rmaPlus": {
                "mtMessages": [
                  "103",
                  "202"
                ],
                "mxMessages": [
                  "pacs.008",
                  "pacs.009"
                ]
              }
            }
          }
        ],
        "schemeInformation": {
          "operatingDays": "[1,5]",
          "operatingHours": "[09:03:00,12:04:00]",
          "isCurrentlyOpen": true,
          "needsFX": false
        },
        "channels": [
          {
            "channel": "SWIFT",
            "format": "MT103",
            "paymentTypes": [
              "customer treasury",
              "internal treasury"
            ]
          }
        ]
      }
    ]
  }
}
Empty Routes

OK: No Routes provided

{
  "data": {
    "requestId": "54100696-ea20-4cfb-af45-7a7ea5bba5fd",
    "scenario": "correspondent",
    "routedAgent": {
      "FinInstnId": {
        "BICFI": "RZBAATWWXXX"
      },
      "rma": {
        "status": true,
        "rmaPlus": {
          "mtMessages": [
            "103",
            "202"
          ],
          "mxMessages": [
            "pacs.008",
            "pacs.009"
          ]
        }
      },
      "source": "IBAN"
    },
    "requestOrigin": {
      "BICFI": "PAGOGB20",
      "shortCode": "pagofx_uk"
    },
    "routingParameters": {
      "requestOriginConfiguration": {
        "ssiCorrespondentSteps": "3"
      },
      "paymentInputs": {
        "currency": "GBP",
        "urgency": "URGT"
      },
      "volumeDistributionSeed": "33"
    },
    "routes": [],
    "noRoutesReason": {
      "code": "ED01",
      "reasonDescription": "No routes provided"
    }
  }
}
All routes are blacklisted

OK: All routes blacklisted or not passing every whitelist rule

{
  "data": {
    "requestId": "54100696-ea20-4cfb-af45-7a7ea5bba5fd",
    "scenario": "correspondent",
    "routedAgent": {
      "FinInstnId": {
        "BICFI": "RZBAATWWXXX"
      },
      "rma": {
        "status": true,
        "rmaPlus": {
          "mtMessages": [
            "103",
            "202"
          ],
          "mxMessages": [
            "pacs.008",
            "pacs.009"
          ]
        }
      },
      "source": "IBAN"
    },
    "requestOrigin": {
      "BICFI": "PAGOGB20",
      "shortCode": "pagofx_uk"
    },
    "routingParameters": {
      "requestOriginConfiguration": {
        "ssiCorrespondentSteps": "3"
      },
      "paymentInputs": {
        "currency": "GBP",
        "urgency": "URGT"
      },
      "volumeDistributionSeed": "33"
    },
    "routes": [],
    "noRoutesReason": {
      "code": "RR04",
      "reasonDescription": "All routes blacklisted or not passing every whitelist rule"
    }
  }
}
Expand All
object

Array of calculated routes returned

data

Scenario and routes data

OneOf
Scenario
object (Scenario)
requestId
string (uuid)

UUID

Min length36
Max length36
Pattern^[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}$
Exampled317d060-0d41-43ec-ba43-e47e8a25aa5b
scenario
string

Payment scenario

Valid values[ "internal_transfer", "book_to_book", "book_to_book_intra_group", "on_us_settlement", "correspondent" ]
Examplecorrespondent
routedAgent
object

Final beneficiary bank (previous beneficiary)

FinInstnId
object (FinancialInstitutionIdentification18)

Specifies the details to identify a financial institution.

BICFI
string

BIC identifier (2014 version)

Min length1
Max length34
Pattern^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$
ExamplePAGOGB20
ClrSysMmbId
object (ClearingSystemMemberIdentification2)

Unique identification, as assigned by a clearing system, to unambiguously identify a member of the clearing system.

ClrSysId
object (ClearingSystemIdentification2Choice)

Choice of a clearing system identifier.

OneOf
object
object
Cd
string

Specifies the clearing system identification code, as published in an external clearing system identification code list. External code sets can be downloaded from www.iso20022.org.

Min length1
Max length5
Pattern^[a-zA-Z\\_0-9 -/.]*$
ExampleABCDE
object
object
Prtry
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
MmbId
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
LEI
string

Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".

Max length20
Pattern^[A-Z0-9]{18,18}[0-9]{2,2}$
ExampleABCDEFGHIJKLMNOPRS12
Nm
string

Specifies a character string with a maximum length of 140 characters.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
Exampletest
PstlAdr
object (PostalAddress24)

Information that locates and identifies a specific address, as defined by postal services.

AdrTp
object (AddressType3Choice)

Choice of formats for the type of address.

OneOf
object
object
Cd
string

Specifies the type of address.

Valid values[ "ADDR", "PBOX", "HOME", "BIZZ", "MLTO", "DLVY" ]
object
object
Prtry
object (GenericIdentification30)

Information related to an identification, for example, party identification or account identification.

Id
string

Specifies an alphanumeric string with a length of 4 characters.

Min length4
Max length4
Pattern^[a-zA-Z0-9]{4}$
Exampletest
Issr
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SchmeNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Dept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SubDept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
StrtNm
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNb
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Flr
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstBx
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Room
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstCd
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnLctnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
DstrctNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
CtrySubDvsn
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Ctry
string

Code to identify a country, a dependency, or another area of particular geopolitical interest, on the basis of country names obtained from the United Nations (ISO 3166, Alpha-2 code).

Min length2
Max length2
Pattern^[A-Z]{2,2}$
ExampleES
AdrLine
Array of string (Max70Text)

Information that locates and identifies a specific address, as defined by postal services, presented in free format text.

Max items7
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Othr
object (GenericFinancialIdentification1)

Information related to an identification of a financial institution.

Id
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
rma
object

Status between the correspondent and its messages and services

status
boolean

Indicates the status

ExampleTrue
rmaPlus
object (RMAPlus)

RMA information

mtMessages
Array of string

Array of available MT types

Max items250
string

MT type

Min length3
Max length3
Pattern^[0-9]{3}$
Example103
mxMessages
Array of string

Array of available MX types

Max items250
string

MX type

Min length1
Max length20
Pattern^[0-9a-zA-Z.]{1,20}$
Examplepacs.008
source
string

Where the information has been taken (IBAN / Intermediary / Creditor Agent)

Max length36
Pattern^[0-9A-Z ]*$
ExampleIBAN
requestOrigin
object

Owner information

shortCode
string

Legal entity short code

Max length255
Pattern^[\w_]+$
Examplepagonxt_uk
BICFI
string

BIC

Max length11
Pattern^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?$
ExampleARABMAMCXXX
LEI
string

Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".

Max length20
Pattern^[A-Z0-9]{18,18}[0-9]{2,2}$
ExampleABCDEFGHIJKLMNOPRS12
routingParameters
object

Used inputs to calculate the route

requestOriginConfiguration
object

Route configuration

searchIntermediary
boolean

Flag to activate intermediary piston

ExampleTrue
commonCorrespondent
boolean

Flag to activate common correspondent piston

ExampleFalse
ssiCorrespondentSteps
number

SSI Correspondent Steps

Minimum1
Maximum10
Example2
sameCorrespondent
boolean

If Beneficiary BIC is same as Correspondent one

ExampleFalse
beneficiaryCorrespondent
string

BIC

Max length11
Pattern^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?$
ExampleARABMAMCXXX
paymentInputs
object

Payment input parameters

currency
string

Currency ISO code

Max length3
Pattern^[A-Z]{3}$
ExampleEUR
chargeType
string

Payment charge type or expenses type.

Valid values[ "OUR", "BEN", "SHA", "SHAR", "SLEV", "CRED", "DEBT" ]
ExampleOUR
originBank
string

BIC list

Max length150
Pattern^([A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?)(,([A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?))*$
ExampleARABMAMCXXX,BSCHESMMXXX
destinationBank
string

BIC list

Max length150
Pattern^([A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?)(,([A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?))*$
ExampleARABMAMCXXX,BSCHESMMXXX
originCountry
string

list of countries separated by commas

Max length999
Pattern^([A-Z]{2})(,[A-Z]{2})*$
ExampleUK,ES
destinationCountry
string

list of countries separated by commas

Max length999
Pattern^([A-Z]{2})(,[A-Z]{2})*$
ExampleUK,ES
amount
number (double)

Payment amount.

Minimum-999999999.99
Maximum999999999.99
Example100
codeWords
Array of string

Code word

Max items500
string

Individual Code word

Max length10
Pattern^[\w\s.-_]+$
ExampleRGT
urgency
string

Urgency level

Max length10
Pattern^[\w]+$
ExampleURGT
volumeDistributionSeed
integer (int32)

Volume Percentage.

Minimum1
Maximum100
Example50
clearingScheme
Array of string (ClearingSchemeItem)

Clearing scheme list

Max items25
Example[ "GB CHAPS", "GB FPS" ]
string

Individual clearing scheme

Max length25
Pattern^[A-Z0-9\s]*$
ExampleGB CHAPS
serviceCode
Array of string (ServiceCodeItem)

Service code list

Max items25
Example[ "SC" ]
string

Individual service code

Max length25
Pattern^[A-Z0-9]*$
ExampleSC
routes
Array of object (Route)

Available routes

Max items25
object

Payment route

priority
number (float)

Rule/scheme/channel priority

Minimum1
Maximum100
Example10
suggestedChargeCode
object (SuggestedChargeCode)

Route charge code passed on to our correspondent network

iso20022
string

Payment charge type or expenses type.

Valid values[ "OUR", "BEN", "SHA", "SHAR", "SLEV", "CRED", "DEBT" ]
ExampleOUR
routedAgentCounterparty
object

Routing correspondent bank

BICFI
string

BIC

Max length11
Pattern^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?$
ExampleARABMAMCXXX
rma
object

Status between the correspondent and its messages and services

exchanged
boolean

Exchange status

ExampleTrue
rmaPlus
object (RMAPlus)

RMA information

mtMessages
Array of string

Array of available MT types

Max items250
string

MT type

Min length3
Max length3
Pattern^[0-9]{3}$
Example103
mxMessages
Array of string

Array of available MX types

Max items250
string

MX type

Min length1
Max length20
Pattern^[0-9a-zA-Z.]{1,20}$
Examplepacs.008
routedChainAgents
Array of object

Beneficiary Correspondent Chain (in deep) when ssi_correspondent_steps is set to > 2 and it obtains results

Max items10
object

Agent information

BICFI
string

BIC

Max length11
Pattern^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?$
ExampleARABMAMCXXX
rma
object

Status between the correspondent and its messages and services

exchanged
boolean

Exchange status

ExampleTrue
rmaPlus
object (RMAPlus)

RMA information

mtMessages
Array of string

Array of available MT types

Max items250
string

MT type

Min length3
Max length3
Pattern^[0-9]{3}$
Example103
mxMessages
Array of string

Array of available MX types

Max items250
string

MX type

Min length1
Max length20
Pattern^[0-9a-zA-Z.]{1,20}$
Examplepacs.008
counterparty
object (RouteCounterparty)

Route counterparty

name
string

Legal entity short code

Max length255
Pattern^[\w_]+$
Examplesantander_es
bic
string

BIC

Max length11
Pattern^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?$
ExampleARABMAMCXXX
cutOff
object

Cutoff information object

time
string

Time with seconds

Min length0
Max length8
Pattern^\d{2}:\d{2}:\d{2}$
Example14:00:32
timeZone
string

Timezone

Max length255
Pattern^[A-Z0-9a-z_/\s]*$
ExampleEurope/London
scheme
object

Scheme routing information

schemeId
string

Individual clearing scheme

Max length25
Pattern^[A-Z0-9\s]*$
ExampleGB CHAPS
currencies
Array of string (Currency)

Scheme currencies

Max items25
string

Currency ISO code

Max length3
Pattern^[A-Z]{3}$
ExampleEUR
participationType
string

Scheme participation

Valid values[ "direct", "indirect" ]
Exampledirect
settlingParticipant
object

Settling participant

FinInstnId
object (FinancialInstitutionIdentification18)

Specifies the details to identify a financial institution.

BICFI
string

BIC identifier (2014 version)

Min length1
Max length34
Pattern^[A-Z0-9]{4,4}[A-Z]{2,2}[A-Z0-9]{2,2}([A-Z0-9]{3,3}){0,1}$
ExamplePAGOGB20
ClrSysMmbId
object (ClearingSystemMemberIdentification2)

Unique identification, as assigned by a clearing system, to unambiguously identify a member of the clearing system.

ClrSysId
object (ClearingSystemIdentification2Choice)

Choice of a clearing system identifier.

OneOf
object
object
Cd
string

Specifies the clearing system identification code, as published in an external clearing system identification code list. External code sets can be downloaded from www.iso20022.org.

Min length1
Max length5
Pattern^[a-zA-Z\\_0-9 -/.]*$
ExampleABCDE
object
object
Prtry
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
MmbId
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
LEI
string

Legal Entity Identifier is a code allocated to a party as described in ISO 17442 "Financial Services - Legal Entity Identifier (LEI)".

Max length20
Pattern^[A-Z0-9]{18,18}[0-9]{2,2}$
ExampleABCDEFGHIJKLMNOPRS12
Nm
string

Specifies a character string with a maximum length of 140 characters.

Min length1
Max length140
Pattern^[A-Za-z0-9,.:_\\\\'\[\]\\+\\-\\"\\*\\{\\}\\(\\)\\$\\^\\|\s/]*$
Exampletest
PstlAdr
object (PostalAddress24)

Information that locates and identifies a specific address, as defined by postal services.

AdrTp
object (AddressType3Choice)

Choice of formats for the type of address.

OneOf
object
object
Cd
string

Specifies the type of address.

Valid values[ "ADDR", "PBOX", "HOME", "BIZZ", "MLTO", "DLVY" ]
object
object
Prtry
object (GenericIdentification30)

Information related to an identification, for example, party identification or account identification.

Id
string

Specifies an alphanumeric string with a length of 4 characters.

Min length4
Max length4
Pattern^[a-zA-Z0-9]{4}$
Exampletest
Issr
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SchmeNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Dept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
SubDept
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
StrtNm
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNb
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
BldgNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Flr
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstBx
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Room
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
PstCd
string

Specifies a character string with a maximum length of 16 characters.

Min length1
Max length16
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
TwnLctnNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
DstrctNm
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
CtrySubDvsn
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Ctry
string

Code to identify a country, a dependency, or another area of particular geopolitical interest, on the basis of country names obtained from the United Nations (ISO 3166, Alpha-2 code).

Min length2
Max length2
Pattern^[A-Z]{2,2}$
ExampleES
AdrLine
Array of string (Max70Text)

Information that locates and identifies a specific address, as defined by postal services, presented in free format text.

Max items7
string

Specifies a character string with a maximum length of 70 characters.

Min length1
Max length70
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
Othr
object (GenericFinancialIdentification1)

Information related to an identification of a financial institution.

Id
string

Specifies a character string with a maximum length of 35 characters.

Min length1
Max length35
Pattern^[a-zA-Z\\_0-9 -/.]*$
Exampletest
settlementMethod
string

Settlement method selected

Valid values[ "INDA", "INGA", "CLRG", "COVE" ]
ExampleINDA
account
object

Route account information

type
string

Account type

Valid values[ "IBAN", "BBAN" ]
ExampleIBAN
number
string

Account format (IBAN or BBAN)

Min length2
Max length35
Pattern^[A-Z\d-]{2,35}$
Example44816
withinCutoff
boolean

If Correspondent is in the cutoff time

ExampleFalse
ssiRoute
boolean

If returned route comes from SSI plus table

ExampleTrue
deliveryDate
string

Date

Min length0
Max length10
Pattern^[0-9]{4}-[0-9]{2}-[0-9]{2}$
Example2021-12-22
appliedParameters
object

Used parameters to create the route

currency
string

Currency ISO code

Max length3
Pattern^[A-Z]{3}$
ExampleEUR
chargeType
string

Payment charge type or expenses type.

Valid values[ "OUR", "BEN", "SHA", "SHAR", "SLEV", "CRED", "DEBT" ]
ExampleOUR
originBank
string

BIC

Max length11
Pattern^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?$
ExampleARABMAMCXXX
originCountry
string

Country ISO code

Max length2
Pattern^[A-Z]{2}$
ExampleES
destinationCountry
string

Country ISO code

Max length2
Pattern^[A-Z]{2}$
ExampleES
paymentAmount
number (double)

Payment amount.

Minimum-999999999.99
Maximum999999999.99
Example100
sameCorrespondent
boolean

If Beneficiary BIC is same as Correspondent one

ExampleFalse
volumeDistributionSeed
integer (int32)

Volume Percentage.

Minimum1
Maximum100
Example50
searchIntermediary
boolean

Use search intermediary piston

ExampleTrue
commonCorrespondent
boolean

Use common correspondent piston

ExampleFalse
clearingScheme
Array of string (ClearingSchemeItem)

Clearing scheme list

Max items25
Example[ "GB CHAPS", "GB FPS" ]
string

Individual clearing scheme

Max length25
Pattern^[A-Z0-9\s]*$
ExampleGB CHAPS
serviceCode
Array of string (ServiceCodeItem)

Service code list

Max items25
Example[ "SC" ]
string

Individual service code

Max length25
Pattern^[A-Z0-9]*$
ExampleSC
ssiCorrespondentSteps
number

SSI Correspondent Steps

Minimum1
Maximum10
Example2
schemeInformation
object

Scheme config

operatingDays
string

Bank open days

Max length5
Pattern^(\[|\()\d,(\d)?(\]|\))$
Example[2,4)
operatingHours
string

Bank operating hours

Max length19
Pattern^(\[|\()\d{2}:\d{2}:\d{2},\d{2}:\d{2}:\d{2}(\]|\))$
Example[12:55:00,14:45:00)
isCurrentlyOpen
boolean

It is open today and inside operating hours

ExampleTrue
limits
string

Limits

Max length5
Pattern^(\[|\()[0-9]\d*(\.\d+)?,([0-9]\d*(\.\d+)?)?(\]|\))$
Example[2,4)
needsFX
boolean

it needs FX

ExampleFalse
overrideSender
string

BIC

Max length11
Pattern^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?$
ExampleARABMAMCXXX
overrideReceiver
string

BIC

Max length11
Pattern^[A-Z]{6}[0-9A-Z]{2}([0-9A-Z]{3})?$
ExampleARABMAMCXXX
channels
Array of object (ChannelInfoInSchemeCreation)

Scheme channel

Max items25
object

Individual scheme channel

channel
string

Individual scheme channel

Max length50
Pattern^[\w\s.-_]+$
ExampleSWIFT
format
string

Format

Max length50
Pattern^[\w\s.-_]+$
ExampleMT103
paymentTypes
Array of string

Payment types

Max items25
[...]
